GDCM: gdcm::network::BaseNormalizedMessage Class Reference

GDCM 3.2.7

Public Member Functions | List of all members
gdcm::network::BaseNormalizedMessage Class Referenceabstract

BaseNormalizedMessage. More...

`#include <gdcmBaseNormalizedMessage.h>`

Inheritance diagram for gdcm::network::BaseNormalizedMessage:
[legend]

## Public Member Functions
virtual | ~BaseNormalizedMessage ()=default
virtual std::vector< PresentationDataValue > | ConstructPDV (const ULConnection &inConnection, const BaseQuery *inQuery)=0

## Detailed Description

BaseNormalizedMessage.

The Normalized events described in section 3.7-2011 of the DICOM standard all use their own messages. These messages are constructed using Presentation Data Values, from section 3.8-2011 of the standard, and then fill in appropriate values in their datasets.

So, for the five normalized:

- N-ACTION
- N-CREATE
- N-DELETE
- N-EVENT
- N-GET
- N-SET there are a series of messages. However, all of these messages are obtained as part of a PDataPDU, and all have to be placed there. Therefore, since they all have shared functionality and construction tropes, that will be put into a base class. Further, the base class will be then returned by the factory class, gdcmNormalizedMessageFactory.h.

This is an abstract class. It cannot be instantiated on its own.

## Constructor & Destructor Documentation

## ◆ ~BaseNormalizedMessage()

virtual gdcm::network::BaseNormalizedMessage::~BaseNormalizedMessage | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ ConstructPDV()

virtual std::vector< PresentationDataValue > gdcm::network::BaseNormalizedMessage::ConstructPDV | ( | const ULConnection & | inConnection,
|  | const BaseQuery * | inQuery )
| pure virtual

Implemented in gdcm::network::NActionRQ, gdcm::network::NCreateRQ, gdcm::network::NDeleteRQ, gdcm::network::NEventReportRQ, gdcm::network::NGetRQ, and gdcm::network::NSetRQ.

The documentation for this class was generated from the following file:

- gdcmBaseNormalizedMessage.h